const fs = require("fs");
const path = require("path");
const prettier = require("prettier");
const config = require("./.prettierrc");


const dir = './src';

mapAndFormat(dir);

function mapAndFormat(filePath) {
  let files = fs.readdirSync(filePath);
  files.forEach(fileName => {
    const fullFIleName = `${filePath}/${fileName}`;
    const stat = fs.statSync(fullFIleName);

    const isDirectory = stat.isDirectory(fullFIleName);
    const isJSFile = stat.isFile(fullFIleName) && 
    (path.extname(fileName) === '.js' || path.extname(fileName) === '.jsx');

    if (isDirectory) {
      mapAndFormat(fullFIleName);
    } else if (isJSFile) {
      const text = fs.readFileSync(fullFIleName, 'utf8');
      const formatted = prettier.format(text, config);
      fs.writeFileSync(fullFIleName, formatted);
    }

  });
}
