import * as React from 'react';

// interface IProps {
//   className?: string;
//   onClick?: (ev: React.MouseEvent<HTMLDivElement>) => any;
// }

// type IState = Readonly<{
//   style: React.CSSProperties;
// }>;

class TouchOpacity extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      style: {
        opacity: 1
      }
    };
    this.timer = null;
  }

  onClick = (ev) => {
    const { onClick } = this.props;

    ev.stopPropagation();

    this.setState(
      {
        style: {
          opacity: 0.5
        }
      },
      () => {
        this.timer = setTimeout(() => {
          this.setState({
            style: {
              opacity: 1
            }
          });
        }, 50);
      }
    );

    if (onClick) {
      onClick(ev);
    }
  };

  componentWillUnmount() {
    clearTimeout(this.timer);
  }

  render() {
    const { children, onClick, ...otherProps } = this.props;
    return (
      <div {...otherProps} style={this.state.style} onClick={this.onClick}>
        {children}
      </div>
    );
  }
}

export default TouchOpacity;
