import React from 'react';
import styles from './TableTitle.module.scss';

class TabTitle extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      selected: false
    };
  }
  toggleCurrentTab = () => {
    this.setState({ selected: !this.state.selected });
  };
  render() {
    const { title } = this.props;
    return (
      <div
        className={this.state.selected ? styles.titleContentSelected : styles.titleContent}
        onClick={this.toggleCurrentTab}
      >
        <span>{title}</span>
      </div>
    );
  }
}

export default TabTitle;
